Description

It would be handy to differentiate between member and contributor comments by giving them a slighly highlighted background.

History

#1 - 2009-12-17 13:45 - Felix Schäfer

Mmh, we're using the gravatar feature for that. In 0.9 (and current trunk, for that matter), you'll have the choice to use one of the generation schemes

from gravatar, have a look at step 5 on the URL generation page from gravatar.

#2 - 2009-12-18 21:53 - Jean-Philippe Lang

- Category set to UI

#3 - 2009-12-20 11:37 - Aron Rotteveel

I do love the gravatar feature; it's a great improvement.

I still think it would be a really nice addition to enable custom background-color highlighting for roles.

I can imagine this being an option in the roles & permissions screen, where you would be able to give each role an optional color to represent it.

Alternatively, I think it would be a great idea to at least highlight the assigned user's comments.

#4 - 2009-12-24 20:35 - Eric Davis

How would it work if the user has multiple Roles?

#5 - 2009-12-25 20:38 - Aron Rotteveel

Eric Davis wrote:

How would it work if the user has multiple Roles?

 Good question; I had not thought about that one yet.

The most simple way would be to use the sort-order on the permissions; in most cases, sorting is done top-down (Manager --> lower roles) instead of

the other way around, so in most cases, this would work fine. If this sort order is not being used, there is a small loophole in the system though.

Even so, the background color for a privilege should be optional, making any role that should stand out automatically visually distinctive from the

others, no matter what the color.

Powered by TCPDF (www.tcpdf.org)

2025-07-02 1/1

http://en.gravatar.com/site/implement/url
http://www.tcpdf.org

